import 'package:flutter/material.dart';
import 'package:flutter_media/Manga.dart';

import 'Game.dart';

GridView createGrid(String title, String url){
 const TextStyle optionStyle =
 TextStyle(fontSize: 30, fontWeight: FontWeight.bold,);
 return GridView.count(
     padding: const EdgeInsets.all(10),
     crossAxisCount: 2,
     physics: new NeverScrollableScrollPhysics(),
     children: <Widget>[
      Image.network(url),
      Align(alignment: Alignment.center,child: Text(title,style: optionStyle, textAlign: TextAlign.center, )),]
  );
}

class DataBase{
  static List<GridView> _mangaItem = <GridView>[];
  static List<Manga> mangas = <Manga>[];

  static List<GridView> _gameItem = <GridView>[];
  static List<String> _gameNames = <String>[];
  static List<String> _gameUrls = <String>[];

  static List<Game> games = <Game>[];

   DataBase(){
     mangas.add(Manga('Arte', '', 'https://www.manga-news.com/public/images/series/arte-1-komikku.jpg', 'Kei Ookubo', '14', 'En cours', 'Seinen - Historique - Tranche de vie', '7.94', '2013-??',
         "L'histoire commence au début du xvie siècle à Florence en Italie, centre de la culture de la Renaissance, où de grands maîtres tels que Léonard de Vinci, Michel-Ange et Raphaël se sont épanouis.Arte est la seule fille des Spalletti, une famille de nobles en déclin. Depuis son enfance, Arte s'est révélée être dotée d'un talent inhabituel pour la peinture, mais quand son père meurt, sa mère essaie de la forcer à abandonner son amour pour l'art et à trouver un jeune homme noble à se marier dès que possible afin de sauver les Spalletti de la ruine.Arte, cependant, refuse de renoncer à ses rêves, et, allant à l'encontre des opinions de son temps, elle commence à chercher à travailler pour un maître peintre, en espérant un jour devenir elle-même une peintre accomplie.Sa forte détermination finit par attirer l'attention de Léo, un jeune peintre mais bien connu, qui l'accepte enfin comme sa disciple."));
     mangas.add(Manga('Berserk', '', 'https://static.fnac-static.com/multimedia/Images/FR/NR/fa/d8/17/1562874/1507-1/tsp20161130112826/Berserk.jpg', 'Kentaro Miura', '41', 'En cours', 'Seinen -	Action - Horreur - Dark Fantasy - Drame', '9.35', '1989-??',
         "Berserk raconte l'histoire de la rencontre de Guts et de Griffith, chef de la Troupe du Faucon, une bande de mercenaires à la solde du royaume de Midland. De cette rencontre naîtra une amitié ambiguë, mais néanmoins efficiente : la présence de Guts, guerrier à l'épée démesurée, se révélera vite indispensable à l'ambition du jeune Griffith, bretteur et tacticien hors pair. L'anime est ainsi le récit de l'ascension et de la chute de la Troupe du Faucon, et de la relation entre Guts et Griffith, particulièrement complexe, entre relation d'intérêt (Griffith utilise la force de Guts), respect mutuel (les deux se considèrent mutuellement en tant que soldats), et affection profonde (chacun a besoin de la présence de l'autre de façon inexplicable)."));
     mangas.add(Manga('Koe No Katachi', 'A Silent Voice', 'https://upload.wikimedia.org/wikipedia/en/6/6c/Koe_no_Katachi%2C_Volume_1.jpg', 'Yoshitoki Ōima', '7', 'Terminé', 'Shonen -	Drame - Psychologique - Romance - Tranche de vie', '8.86', '2013-2014',
         "Shoya Ishida, habitant à Ōgaki dans la préfecture de Gifu, vit en combattant l'ennui par les jeux les plus insensés qui lui viennent à l'esprit. Un jour, Shoko Nishimiya rejoint sa classe d'école primaire et essaie de s'y faire une place, mais cette dernière est atteinte de surdité et va causer quelques soucis à ses camarades, ce qui va permettre au jeune Shoya de s'occuper en profitant des faiblesses de celle-ci. Mais tout cet amusement se retournera contre lui. Une fois lycéen, Shoya, qui décide de revoir une dernière fois Shoko pour s'excuser, va finalement se rapprocher d'elle à travers la langue des signes."));
     mangas.add(Manga('Made In Abyss', '', 'https://images-na.ssl-images-amazon.com/images/I/91N8saM4HdL.jpg', 'Akihito Tsukushi', '9', 'En cours', 'Seinen -	Action - Aventure - Drame - Psychologique', '8.86', '2012-??',
         "L’histoire se concentre autour d’une orpheline nommée Rico, vivant dans la ville de Orse, située dans la mer de Béoruska. La cité entoure un étrange et immense gouffre, communément appelé « l’Abysse ». L’Abysse recèle des artefacts et des vestiges d’une ancienne civilisation disparue, et est de fait un lieu prisé par les caverniers pour l’excavation de ces objets pouvant être vendus à l’étranger. Ces caverniers entreprennent de dangereuses expéditions à travers la brume du gouffre pour en trouver le plus possible. Cependant, plus une personne descend dans l’Abysse, plus la malédiction de celui-ci pèse sur sa santé, des symptômes de plus en plus graves se présentant lors de la remontée des différents niveaux. Peu d’aventuriers sont descendus dans les zones les plus basses et sont remontés pour narrer leur expérience."));
     mangas.add(Manga('Monster', '', 'https://www.manga-news.com/public/images/vols/monster-deluxe-1-kana.jpg', 'Naoki Urasawa', '18', 'Terminé', 'Seinen -	Policier - Drame - Thriller - Psychologique', '9.09', '1994-2001',
         "L'histoire débute en Allemagne en 1986, à l'Eisler Memorial Hospital de Düsseldorf. Kenzô Tenma, le personnage principal, est un jeune neurochirurgien japonais aux compétences hors normes. Il est fiancé à Eva Heineman, la fille du directeur de l'hôpital, et est destiné à une brillante carrière. Pourtant, un jour, il refuse de donner en priorité ses soins au maire de la ville et préfère opérer un garçon blessé d'une balle dans la tête, arrivé à l'hôpital avant le maire. La sœur jumelle du garçon, très choquée, est elle aussi hospitalisée ; leurs parents adoptifs viennent d'être assassinés sauvagement chez eux. Le garçon s'en sort, mais le maire, confié à un autre chirurgien, décède. Le Dr Tenma est alors rétrogradé par le directeur de l'hôpital, et sa fiancée le quitte. Peu de temps après, le garçon et sa sœur disparaissent, à la suite des meurtres mystérieux de trois hauts responsables de l'établissement, dont le directeur."));
     mangas.add(Manga('Shingeki No Kyojin', "L'attaque des Titans", 'https://www.manga-news.com/public/images/series/Shingekinokyojin-01-kodansha.jpg', 'Hajime Isayama', '34', 'En cours', 'Shonen -	Action - Dark Fantasy - Mystère - Tragédie - Thriller', '8.72', '2009-??',
         "L’histoire tourne autour du personnage d’Eren Jäger dans un monde où l’humanité vit entourée d’immenses murs pour se protéger de créatures gigantesques, les Titans. Le récit raconte le combat mené par l’humanité pour reconquérir son territoire, en éclaircissant les mystères liés à l’apparition des Titans, du monde extérieur et des évènements précédant la construction des murs."));


     for(int i=0;i< mangas.length; i++){
       _mangaItem.add(createGrid(mangas[i].title, mangas[i].url));
     }

     _gameNames=['Dark Souls III','Halo: The Master Chief Collection','Hollow Knight','Sekiro', 'Slay The Spire', 'Temtem'];

     _gameUrls.add('https://store-images.s-microsoft.com/image/apps.24212.71827372323164480.6e97c7d2-899a-404f-8660-d622a7fc9162.daea9ed5-4921-45a6-a188-637bfab7176c');
     _gameUrls.add('https://media.senscritique.com/media/000006971439/source_big/Halo_The_Master_Chief_Collection.jpg');
     _gameUrls.add('https://static.wikia.nocookie.net/hollowknight/images/d/dd/Hollow_Knight_%28jeu%29.png/revision/latest?cb=20201212202922&path-prefix=fr');
     _gameUrls.add('https://image.jeuxvideo.com/medias/152905/1529054204-3792-jaquette-avant.jpg');
     _gameUrls.add('https://media.senscritique.com/media/000017651117/source_big/Slay_the_Spire.jpg');
     _gameUrls.add('https://media.senscritique.com/media/000019301418/source_big/Temtem.png');

     for(int i=0;i< _gameNames.length; i++){
       _gameItem.add(createGrid(_gameNames[i], _gameUrls[i]));
     }

      //trier ordre alphabetique?
   }

  List<Manga> getMangaList(){ return mangas;}
  List<GridView> getMangaViews(){ return _mangaItem;}

  List<Game> getGameList(){ return games;}

  List<GridView> getGameViews(){ return _gameItem;}
  List<String> getGameNames(){ return _gameNames;}
  List<String> getGameUrls(){ return _gameUrls;}
}

